Skip to content

Update Agent

PUT
/api/v3/organizations/{organisation}/ai/agents/{agentId}

Updates an existing AI agent configuration. All fields except agentId, organizationId, createdAt, and createdBy can be updated.

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

agentId
required
string format: uuid

The agent ID

Request Body required

object
name
string
description
string
group
string
systemPrompt
string
temperature
number
<= 1
modelId
string
maxTokens
integer
>= 1 <= 200000
allowedTools
Array<string>
allowedCollections
Array<string>
assignedSkills

Skill IDs to assign to this agent

Array<string>
longContext

Enable 1M context window support

boolean
guardrailPreset

Guardrail preset name

string
Allowed values: official official-sensitive protected
filterPolicies

Filter policy IDs to apply to this agent’s inference requests

Array<string>

Responses

200

Agent updated successfully

object
success
boolean
true
agent
object
message
string
Agent updated successfully

400

Invalid request parameters

403

Access denied

404

Agent not found

500

Failed to update agent